/****************************************************************************************/
/*                                        MENÚ POPUP                                    */
/****************************************************************************************/
#divPopUp {
	position: fixed;
	display: flex;
	top: 0px; bottom: 0px;
	left: 0px; right: 0px;
	justify-content: center;
	align-items: center;
	background: rgb(50,50,50,.75);
	opacity: 0%; transition: opacity 0.8s;
 	pointer-events: none;
}
#divPopUpWindow {
	display: flex;
	max-width: 95%;
	max-height: 95%;
	flex-flow: column nowrap;
	color: var(--color-main-fore);
	background: var(--color-main-back);
	border: 1px solid var(--color-main-fore);
	border-radius: 8px;
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.3), 0 6px 20px 0 rgba(0, 0, 0, 0.29);
}
#divPopUpWindowHeader {
	display: flex;
	padding: 3px;
	justify-content: center;
	font-size: 18px;
	color: var(--color-head-fore);
	background: var(--color-head-back);
}
#divPopUpWindowContent {
	display: flex;
	padding: 5px;
	font-size: 16px;
}
#divPopUpWindowContent > div.Info {
	display: flex;
	align-items: center;
	flex-flow: row nowrap;
	padding: 15px;
	gap: 20px;
}
#divPopUpWindowContent > div.Info img {
	max-width: 40px;
	min-height: 40px;
}
#divPopUpWindowContent div.USB {
	display: flex;
	width: 95vw; height: 75vh;
	align-items: stretch;
	padding: 10px 5px;
	gap: 15px;
}
#divPopUpWindowContent div.usbBrowser {
	flex: 1;
	display: flex;
	gap: 15px;
	flex-flow: column nowrap;
	align-items: center;
}
#usbFileList {
	flex: 1;
	align-self: stretch;
	border: 2px solid #CCC;
	border-radius: 4px;
	background-color: white;
}
#divPopUpWindowContent div.usbButton {
	padding: 8px 15px 8px 15px;
	font-size: 14px; font-weight: bold;
	text-align: center;
	color: var(--color-head-fore);
	background: var(--color-boton-main);
	border: 1px solid var(--color-boton-main);
	border-radius: 4px;
	cursor: pointer;
}
#divPopUpWindowContent div.usbButton:hover {
	color: var(--color-head-back);
	background: var(--color-boton-hover);
	border: 1px solid var(--color-head-back);
}
#usbFileContent {
	flex: 2;
	padding: 8px;
	border: 2px solid #CCC;
	border-radius: 4px;
	font-family: 'monospace';
	font-size: 12px;
	background-color: white;
	overflow: auto;
}
#divPopUpWindowFooter {
	display: flex; width: 100%;
	padding: 0px 5px 5px 5px;
	gap: 5px;
	justify-content: end;
}
#divPopUpWindowFooter > div {
	padding: 3px 8px;
	font-size: 14px;
	color: var(--color-head-fore);
	background: var(--color-boton-main);
	border: 1px solid var(--color-boton-main);
	border-radius: 4px;
	cursor: pointer;
}
#divPopUpWindowFooter > div:hover {
	color: var(--color-head-back);
	background: var(--color-boton-hover);
	border: 1px solid var(--color-head-back);
}
/****************************************************************************************/
/*                                       MENÚ PULLRIGHT                                 */
/****************************************************************************************/
#divPullRight {
	position: absolute;
	top: 0px; left: 0px; bottom: 0px;
	width: 0px;
	background: var(--color-head-back);
	overflow-y: auto;
	box-shadow: 5px 0px 8px rgba(0, 0, 0, 0.3), 8px 0px 16px rgba(0, 0, 0, 0.4);
	transition: width 0.4s ease-in-out;
}
#divPullRight > div {
	display: flex;
	width: 50px; height: 50px;
	margin: 10px 0px 0px 10px;
	padding: 5px;
	border-radius: 8px;
	background: var(--color-head-fore);
	cursor: pointer;
}
#divPullRight > div:hover {
	background: var(--color-pull-subhead);
}
/****************************************************************************************/
/*                                       MENÚ PULLDOWN                                  */
/****************************************************************************************/
#divPullDown {
	position: absolute;
	top: 0px; right: 0px;
	height: 0px;
	border-bottom-left-radius: 8px;
	box-shadow: 0px 5px 8px rgba(0, 0, 0, 0.3), 0px 8px 16px rgba(0, 0, 0, 0.4);
	transition: height 0.4s ease-in-out;
}
#divPullDown > div {
	display: flex;
	width: 100%;
	height: 30px;
	padding: 0px 15px;
	gap: 10px;
	align-items: center;
	color: var(--color-pull-subhead);
}
#divPullDown > div.pdCabecera {
	font-size: 14px;
	font-weight: bold;
	justify-content: center;
	color: var(--color-head-fore);
	background-color: var(--color-pull-head);
}
#divPullDown > div.pdItem {
	display: flex;
	justify-content: flex-start;
	font-size: 13px;
	background: var(--color-head-back);
	cursor: pointer;
}
#divPullDown > div.pdItem:hover {
	color: var(--color-head-back);
	background-color: var(--color-pull-subhead);
}
#divPullDown > div.pdItem > img {
	height: 60%;
	filter: invert(100%);
}
#divPullDown > div.pdItem:hover > img {
	filter: invert(0);
}
#divPullDown > div.pdSeparador {
	height: 1px;
	background: var(--color-pull-subhead);
	cursor: default;
}
/****************************************************************************************/
/*                                       MEDIA QUERIES                                  */
/****************************************************************************************/
@media (orientation: landscape) {
	#divPopUpWindowContent div.USB {flex-flow: row nowrap;}
}
@media (orientation: portrait) {
	#divPopUpWindowContent > div.USB {flex-flow: column nowrap;
}
/****************************************************************************************/